---
title: translate
slug: Web/CSS/translate
tags:
  - CSS
  - CSS Property
  - Experimental
  - Reference
  - Transforms
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>translate</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property allows you to specify translation transforms individually and independently of the {{CSSxRef("transform")}} property. This maps better to typical user interface usage, and saves having to remember the exact order of transform functions to specify in the <code>transform</code> value.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
translate: none;

/* Single values */
translate: 100px;
translate: 50%;

/* Two values */
translate: 100px 200px;
translate: 50% 105px;

/* Three values */
translate: 50% 105px 5rem;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt>Single {{cssxref("&lt;length-percentage&gt;")}} value</dt>
 <dd>A {{cssxref("&lt;length&gt;")}} or {{cssxref("&lt;percentage&gt;")}} that specifies a 2D translation, with the same translation along both the X and Y axes. Equivalent to a <code>translate()</code> (2D translation) function with a single value specified.</dd>
 <dt>Two {{cssxref("&lt;length-percentage&gt;")}} values</dt>
 <dd>Two {{cssxref("&lt;length&gt;")}} or {{cssxref("&lt;percentage&gt;")}} that specify the X and Y axis translation values (respectively) of a 2D translation. Equivalent to a <code>translate()</code> (2D translation) function with two values specified.</dd>
 <dt>Three values</dt>
 <dd>Two {{cssxref("&lt;length-percentage&gt;")}} and single {{cssxref("&lt;length&gt;")}} values that specify the X, Y, and Z axis translation values (respectively) of a 3D translation. Equivalent to a <code>translate3d()</code> (3D translation) function.</dd>
 <dt id="none"><code>none</code></dt>
 <dd>Specifies that no translation should be applied.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div&gt;
  &lt;p class="translate"&gt;Translation&lt;/p&gt;
&lt;/div&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">* {
  box-sizing: border-box;
}

html {
  font-family: sans-serif;
}

div {
  width: 150px;
  margin: 0 auto;
}

p {
  padding: 10px 5px;
  border: 3px solid black;
  border-radius: 20px;
  width: 150px;
  font-size: 1.2rem;
  text-align: center;
}

.translate {
  transition: translate 1s;
}

div:hover .translate {
  translate: 200px 50px;
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Examples')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Transforms 2', '#individual-transforms', 'individual transforms')}}</td>
   <td>{{Spec2('CSS Transforms 2')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<p>{{CSSInfo}}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.translate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref('scale')}}</li>
 <li>{{cssxref('rotate')}}</li>
 <li>{{cssxref('transform')}}</li>
</ul>

<p>Note: skew is not an independent transform value</p>
